## MMLocationGpsRaw MMLocationGpsRaw — Helper object to handle generic GPS location information. |

## Functions

const gchar * | mm_location_gps_raw_get_utc_time ()
gdouble | mm_location_gps_raw_get_longitude ()
gdouble | mm_location_gps_raw_get_latitude ()
gdouble | mm_location_gps_raw_get_altitude ()

## Types and Values

struct | MMLocationGpsRaw

## Object Hierarchy

        GObject
        ╰── MMLocationGpsRaw

## Description

The MMLocationGpsRaw is an object handling the location information of the modem when this is reported by GPS.

This object is retrieved with either `mm_modem_location_get_gps_raw()`, `mm_modem_location_get_gps_raw_sync()`, `mm_modem_location_get_full()` or `mm_modem_location_get_full_sync()`.

## Functions

### mm_location_gps_raw_get_utc_time ()

    const gchar *
    mm_location_gps_raw_get_utc_time (MMLocationGpsRaw *self);

Gets the UTC time of the location being reported.

#### Parameters

self | a MMLocationGpsRaw. |

#### Returns

a string with the UTC time, or NULL if unknown. Do not free the returned value, it is owned by `self` .

### mm_location_gps_raw_get_longitude ()

    gdouble
    mm_location_gps_raw_get_longitude (MMLocationGpsRaw *self);

Gets the longitude, in the [-180,180] range.

#### Parameters

self | a MMLocationGpsRaw. |

#### Returns

the longitude, or `MM_LOCATION_LONGITUDE_UNKNOWN` if unknown.

### mm_location_gps_raw_get_latitude ()

    gdouble
    mm_location_gps_raw_get_latitude (MMLocationGpsRaw *self);

Gets the latitude, in the [-90,90] range.

#### Parameters

self | a MMLocationGpsRaw. |

#### Returns

the latitude, or `MM_LOCATION_LATITUDE_UNKNOWN` if unknown.

### mm_location_gps_raw_get_altitude ()

    gdouble
    mm_location_gps_raw_get_altitude (MMLocationGpsRaw *self);

Gets the altitude, in the [-90,90] range.

#### Parameters

self | a MMLocationGpsRaw. |

#### Returns

the altitude, or `MM_LOCATION_ALTITUDE_UNKNOWN` if unknown.

## Types and Values

### struct MMLocationGpsRaw

    struct MMLocationGpsRaw;

The MMLocationGpsRaw structure contains private data and should only be accessed using the provided API.